#include "LiveEngineDialogFB.h"
#include "UCI.hpp"
#include "ochess.hpp"
#include <wx/timer.h>

class LiveEngineDialog : public LiveEngineDialogFB {
  uciadapter::UCI *engine;
  std::string engine_name;
  wxTimer timer;

public:
  LiveEngineDialog(wxWindow *parent, std::string engine_name);
  void StartEngine();
  void TogglePauseEngine(wxCommandEvent &event);
  void OnTimerTick(wxTimerEvent &event);
};